/* Move down content because we have a fixed navbar that is 3.5rem tall */
body {
  scroll-behavior: smooth;
  background-color: #f0f0f0;
  /* padding-top: 3.5rem; */
}
.sticky-footer{
  display:flex;
  flex-direction: column;
  min-height: 100vh; /* //body設為100%的視窗高 */
}
.sticky-bottom{
  margin-top: auto; 
  /* //利用flex特性，margin-top設auto後會自動計算上面有多少空間而將元素往下推移 */
}
header {
  overflow: hidden;
  z-index: 8888;
  position: fixed;
  width: 100%;
  background-color: #fff;
  top: 0;
  left: 0;
  border-bottom: 1px solid #e7e7e7;
}
.row{
  margin: 0;
}
[class^="col-"]{
  padding: 0;
}
.less-row{
  margin-left: -10px;
  margin-right: -10px;
}
.p-25{
  padding: 10px;
}
.navbar-brand img {
  width: 210px;
  height: auto;
}
.navbar{
  padding: 0;
}
/* .carousel {
  margin-bottom: 4rem;
} */

/* Since positioning the image, we need to help out the caption */
.carousel-caption {
  bottom: 3rem;
  z-index: 10;
}

/* Declare heights because of positioning of img element */
/* .carousel-item {
  height: 32rem;
} */
.carousel-item > img {
  position: absolute;
  top: 0;
  left: 0;
  min-width: 100%;
  height: 32rem;
}


/* MARKETING CONTENT
-------------------------------------------------- */

/* Center align the text within the three columns below the carousel */
.marketing .col-lg-4 {
  margin-bottom: 1.5rem;
  text-align: center;
}
.marketing h2 {
  font-weight: 400;
}
.marketing .col-lg-4 p {
  margin-right: .75rem;
  margin-left: .75rem;
}


/* Featurettes
------------------------- */

.featurette-divider {
  margin: 5rem 0; /* Space out the Bootstrap <hr> more */
}

/* Thin out the marketing headings */
.featurette-heading {
  font-weight: 300;
  line-height: 1;
  letter-spacing: -.05rem;
}

main{
  padding-top: 3.5rem;
}

#gotop {
/* display:none; */
  position: fixed;
    z-index: 90;
    right: 30px;
    bottom: 31px;
    width: 40px;
    height: 40px;
    color: #fff;
    background: rgba(0, 0, 0, 0.6);
    line-height: 45px;
    border-radius: 50%;
    transition: all 0.5s;
    text-align: center;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16),
      0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

#gotop a{
  /* display: block; */
  color: #fff;
  font-size: 30px;
  font-weight: bold;
}

#gotop:hover{
  background:rgba(41,132,235,0.6);
}

#gotop :hover {
  text-decoration: none;
}

#gotop :active {
  text-decoration: none;
}
.card{
  background-color: transparent;
  border:none
}
.card-header{
  background-color: transparent;
}
.card-body{
  border-right: 1px solid rgba(0, 0, 0, .125);
  border-left: 1px solid rgba(0, 0, 0, .125);
  border-bottom: 1px solid rgba(0, 0, 0, .125);
  padding: .25rem;
}
.STEP-GOGO h3 {
  color: #fff;
  text-align: center;
  font-size: 15px;
  line-height: 24px;
  margin-bottom: 0rem;
  background-color: #007bd9;
  width: 95%;
  margin: 0 auto;
  padding: 5px;
  border: 2px solid #FFF;
}



/* btnset */
.btnset a{
  font-size: 1.3rem;
  font-weight: 900;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  background-color: #007bd9;
  border-radius: 99px;
  border: white 2px solid;
  padding: 10px;
  text-decoration: none;
  transition: all 0.35s ease-in-out;
}

.btnset a:hover {
  color: #007bd9;
  background-color: white;
  border-radius: 99px;
  border: #007bd9 2px solid;
}


/* RESPONSIVE CSS
-------------------------------------------------- */
@media screen and (max-width: 767px){
  .p-25{
    padding: 5px;
  }
  .less-row{
    margin-left: -5px;
    margin-right: -5px;
  }
  .nav-tabs > li {
    float: left;
    margin-bottom: -1px;
    width: 33.3%;
  }
  .nav > li > a {
    position: relative;
    display: block;
    padding: 10px 10px;
  }
  .nav-tabs .nav-link {
    font-size: 18px;
    background-color: #666666;
    color: #FFF;
    margin-top: 10px;
    border-radius: 4px;
    text-align: center;
}
  .nav-tabs .nav-link {
    margin-right: 2px;
    line-height: 1.42857143;
    border: 1px solid transparent;
    border-radius: 4px;
  }
  .nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: #fff;
    cursor: default;
    background-color: #005aab;
    border-radius: 5px;
    border: 1px solid #005aab;
  }
  .card-header {
    padding: 0;
    border-bottom: none;
  }
  .card-header-tabs {
    margin-right: 0;
    margin-bottom: 0;
    margin-left: 0;
    border-bottom: 0;
  }
  .card-body{
    padding: 0;
  }
}


@media (min-width: 40em) {
  /* Bump up size of carousel content */
  .carousel-caption p {
    margin-bottom: 1.25rem;
    font-size: 1.25rem;
    line-height: 1.4;
  }

  .featurette-heading {
    font-size: 50px;
  }
}

@media (min-width: 62em) {
  .featurette-heading {
    margin-top: 7rem;
  }
}


/* classTag */
.classTag {
  background-image: url(../images/tag-bg.png);
  background-size: 100%;
  background-position: bottom;
  background-repeat: no-repeat;
  padding: 60px 20px 0px 20px;
}

@media screen and (max-width: 767px){
  .classTag {
    background-image: url(../images/tag-bg-mb.png);
    background-size: 100%;
    background-position: bottom;
    background-repeat: no-repeat;
    padding: 80px 20px 0px 20px;
  }
}
@media screen and (max-width: 576px){
  .classTag {
    background-image: url(../images/tag-bg-mb.png);
    background-size: 100%;
    background-position: bottom;
    background-repeat: no-repeat;
    padding: 40px 20px 10px 20px;
  }
}
.classCard{
  /* border: 1px #929292 dashed; */
  padding: 20px;
}

@media screen and (max-width: 992px){
  .classCard{
    /* border: 1px #929292 dashed; */
    padding: 10px;
  }
}

@media screen and (max-width: 767px){
  .classCard{
    /* border: 1px #929292 dashed; */
    padding: 5px;
  }
}
